Get worker options

- « GearmanWorker::getErrno

- GearmanWorker::register »

- PHP Manual
- GearmanWorker
- Get worker options

# GearmanWorker::options

(PECL gearman >= 0.6.0)

GearmanWorker::options — Get worker options

### Description

public GearmanWorker::options(): int

Gets the options previously set for the worker.

### Parameters

This function has no parameters.

### Return Values

The options currently set for the worker.

### See Also

- GearmanWorker::setOptions() - Set worker options